## seqprep 1.1

=== Makefile ===
CC=gcc
CFLAGS=-c -Wall -Werror -O0 -g
#recommended options: -ffast-math -ftree-vectorize -march=core2 -mssse3 -O3
COPTS=
LDFLAGS=-lz -lm
SOURCES=SeqPrep.c utils.c stdaln.c
OBJECTS=$(SOURCES:.c=.o)
EXECUTABLE=SeqPrep

all: $(SOURCES) $(EXECUTABLE)

$(EXECUTABLE): $(OBJECTS)
	$(CC) ${COPTS} $(OBJECTS) $(LDFLAGS) -o $@

install: all
	-cp $(EXECUTABLE) $(HOME)/bin

.c.o:
	$(CC) ${COPTS} $(CFLAGS) $< -o $@

clean:
	-rm $(OBJECTS) $(EXECUTABLE)

check-syntax:
	$(CC) ${CFLAGS} -o .nul -S ${CHK_SOURCES}

=== debian/changelog ===
seqprep (1.1-4ubuntu1) xenial; urgency=medium

  * Add missing test dep on python (don't assume it's installed).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 21 Mar 2016 18:22:27 +0000

seqprep (1.1-4) unstable; urgency=medium

  * Really apply patch created by Graham Inggs
    Closes: #789829

 -- Andreas Tille <tille@debian.org>  Mon, 28 Sep 2015 13:46:54 +0200

seqprep (1.1-3) unstable; urgency=medium

  [ Andreas Tille ]
  * make sure autopkgtest script will not fail when cleaning up
  
  [ Graham Inggs ]
  * enable building with gcc-5
  * fix clean target
  * replace all instances of the 'float' datatype in SeqPrep.c with 'double'
    Closes: #789829

 -- Andreas Tille <tille@debian.org>  Tue, 07 Jul 2015 09:45:10 +0200

seqprep (1.1-2) unstable; urgency=medium

  * Do not try fiddle around with arch all files in arch indep builds
    Closes: #789488

 -- Andreas Tille <tille@debian.org>  Sun, 21 Jun 2015 16:31:54 +0200

seqprep (1.1-1) unstable; urgency=medium

  * Initial Upload to Debian
    Closes: #778838
  
 -- Andreas Tille <tille@debian.org>  Fri, 20 Feb 2015 13:49:15 +0100

seqprep (1.1-0biolinux1) trusty; urgency=medium

  * Initial release for Bio-Linux.

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 19 Feb 2015 16:49:55 +0000

=== debian/control ===
Source: seqprep
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               python,
               python-markdown,
               ruby-ronn,
               zlib1g-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/seqprep/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/seqprep/trunk/
Homepage: http://seqanswers.com/wiki/SeqPrep

Package: seqprep
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: stripping adaptors and/or merging paired reads of DNA sequences with overlap
 SeqPrep is a program to merge paired end Illumina reads that are overlapping
 into a single longer read. It may also just be used for its adapter trimming
 feature without doing any paired end overlap. When an adapter sequence is
 present, that means that the two reads must overlap (in most cases) so they
 are forcefully merged. When reads do not have adapter sequence they must be
 treated with care when doing the merging, so a much more specific approach is
 taken. The default parameters were chosen with specificity in mind, so that
 they could be ran on libraries where very few reads are expected to overlap.
 It is always safest though to save the overlapping procedure for libraries
 where you have some prior knowledge that a significant portion of the reads
 will have some overlap.

Package: seqprep-data
Architecture: all
Priority: extra
Depends: ${misc:Depends},
         seqprep
Description: example data set for seqprep - only used for testing
 SeqPrep is a program to merge paired end Illumina reads that are overlapping
 into a single longer read. It may also just be used for its adapter trimming
 feature without doing any paired end overlap. When an adapter sequence is
 present, that means that the two reads must overlap (in most cases) so they
 are forcefully merged. When reads do not have adapter sequence they must be
 treated with care when doing the merging, so a much more specific approach is
 taken. The default parameters were chosen with specificity in mind, so that
 they could be ran on libraries where very few reads are expected to overlap.
 It is always safest though to save the overlapping procedure for libraries
 where you have some prior knowledge that a significant portion of the reads
 will have some overlap.
 .
 This package is not needed for normal operation of seqprep.  It simply
 serves some test data as well as a test script.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_APPEND=-std=gnu90

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	cp SeqPrep seqprep
	ronn -r --manual=seqprep --organization='Cancer Therapeutics Innovation Group' debian/seqprep.1.ronn
	markdown_py -f README.html README.md

override_dh_clean:
	dh_clean
	rm -f seqprep
	rm -f debian/*.1
	rm -f README.html

override_dh_auto_test:
	# This checks that the tests run and produce byte-identical results.
	cd Test && mkdir -p out info && \
	    bash -xc 'gzcat(){ zcat "$$@" ; } ; . RUNTEST.sh'
	[ `cat Test/info/pe_*.txt | md5sum | cut -b -10` = 8bc8e0787e ]
	# remove output dirs right after testing to make sure the files
	# will not be included in the data package
	rm -rf Test/info Test/out

override_dh_install-indep:
	dh_install
	sed -i 's#../SeqPrep#/usr/bin/seqprep#' $(CURDIR)/debian/seqprep-data/usr/share/doc/seqprep/examples/RUNTEST.sh

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python
Restrictions: allow-stderr

## seqprep 1.2

=== debian/changelog ===
seqprep (1.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 28 Apr 2016 20:36:22 +0200

seqprep (1.1-6) unstable; urgency=medium

  * Add missing Python dependency to tests (Thanks for the patch to
    Steve Langasek <steve.langasek@canonical.com>)
    Closes: #818918

 -- Andreas Tille <tille@debian.org>  Mon, 21 Mar 2016 21:24:52 +0100

seqprep (1.1-5) unstable; urgency=medium

  * Fix timezone to UTC when building manpages to get reproducible embedded
    dates. (Thanks for the patch to Dhole <dhole@openmailbox.org>)
    Closes: #818431
  * cme fix dpkg-control
  * Better hardening
  * Suppress lintian warning about verbose copies of gz files

 -- Andreas Tille <tille@debian.org>  Thu, 17 Mar 2016 08:40:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: seqprep
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
            Andreas Tille <tille@debian.org>
 Section: science
@@ -10,8 +9,8 @@
                python-markdown,
                ruby-ronn,
                zlib1g-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/seqprep/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/seqprep/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/seqprep/trunk/
 Homepage: http://seqanswers.com/wiki/SeqPrep
 
@@ -52,4 +51,3 @@
  .
  This package is not needed for normal operation of seqprep.  It simply
  serves some test data as well as a test script.
-

## seqprep 1.3.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
-CC=gcc
-CFLAGS=-c -Wall -Werror -O0 -g
+CFLAGS=-c -Wall -O0 -g -std=c99
 #recommended options: -ffast-math -ftree-vectorize -march=core2 -mssse3 -O3
 COPTS=
 LDFLAGS=-lz -lm
@@ -19,7 +18,7 @@
 	$(CC) ${COPTS} $(CFLAGS) $< -o $@
 
 clean:
-	-rm $(OBJECTS) $(EXECUTABLE)
+	-rm -f $(OBJECTS) $(EXECUTABLE)
 
 check-syntax:
 	$(CC) ${CFLAGS} -o .nul -S ${CHK_SOURCES}

=== debian/changelog ===
seqprep (1.3.2-5) unstable; urgency=medium

  * Test-Depends: s/python/python3/
    Closes: #938467
  * Set upstream metadata fields: Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Mon, 20 Jan 2020 11:31:59 +0100

seqprep (1.3.2-4) unstable; urgency=medium

  * Replace python-markdown by markdown
  * Use 2to3 to port from Python2 to Python3
    Closes: #938467
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Do not call ronn for every build just to rebuild manpage - rather
    provide manpage itself

 -- Andreas Tille <tille@debian.org>  Tue, 17 Dec 2019 12:52:12 +0100

seqprep (1.3.2-3) unstable; urgency=medium

  * Build-Depends: ruby-ronn -> ronn
    Closes: #903071
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Fri, 06 Jul 2018 15:26:19 +0200

seqprep (1.3.2-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * Data package Priority: optional
  * Drop unused lintian override

 -- Andreas Tille <tille@debian.org>  Fri, 17 Nov 2017 22:31:35 +0100

seqprep (1.3.2-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Tue, 17 Jan 2017 18:24:59 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               python,
-               python-markdown,
-               ruby-ronn,
+Build-Depends: debhelper-compat (= 12),
+               python3,
+               markdown,
                zlib1g-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/seqprep/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/seqprep/trunk/
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/med-team/seqprep
+Vcs-Git: https://salsa.debian.org/med-team/seqprep.git
 Homepage: http://seqanswers.com/wiki/SeqPrep
 
 Package: seqprep
@@ -33,7 +32,6 @@
 
 Package: seqprep-data
 Architecture: all
-Priority: extra
 Depends: ${misc:Depends},
          seqprep
 Description: example data set for seqprep - only used for testing

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_APPEND=-std=gnu90
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	cp SeqPrep seqprep
	markdown README.md > README.html

override_dh_clean:
	dh_clean
	rm -f seqprep
	rm -f README.html

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# This checks that the tests run and produce byte-identical results.
	cd Test && mkdir -p out info && \
	    bash -xc 'gzcat(){ zcat "$$@" ; } ; . RUNTEST.sh'
	[ `cat Test/info/pe_*.txt | md5sum | cut -b -10` = 8bc8e0787e ]
	# remove output dirs right after testing to make sure the files
	# will not be included in the data package
	rm -rf Test/info Test/out
endif

override_dh_install-indep:
	dh_install
	sed -i 's#../SeqPrep#/usr/bin/seqprep#' $(CURDIR)/debian/seqprep-data/usr/share/doc/seqprep/examples/RUNTEST.sh

=== debian/watch ===
version=3

https://github.com/jstjohn/SeqPrep/releases .*/archive/v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
